Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt
Interface UserManagerConstants

public interface UserManagerConstants

Constants to identify "special" roles and groups used in the personalization server's user management system.

Field Summary
`static java.lang.String` | `ADMIN_ELIGIBLE_ROLE_NAME`
`static java.lang.String` | `ADMIN_ELIGIBLE_USERGROUP_NAME`
`static java.lang.String` | `DELEGATED_ADMIN_ROLE_NAME`
`static java.lang.String` | `DELEGATED_ADMIN_USERGROUP_NAME`
`static java.lang.String` | `EVERYONE_ROLE_NAME`
`static java.lang.String` | `EVERYONE_USERGROUP_NAME` Deprecated. use weblogic.security.WLSPrincipals.getEveryoneGroupname()
`static java.lang.String` | `SYSTEM_ADMIN_ROLE_NAME`
`static java.lang.String` | `SYSTEM_ADMIN_USERGROUP_NAME`
`static java.lang.String` | `WLS_ADMINISTRATOR_USERGROUP_NAME`

Field Detail

### SYSTEM_ADMIN_ROLE_NAME

    public static final java.lang.String SYSTEM_ADMIN_ROLE_NAME

### DELEGATED_ADMIN_ROLE_NAME

    public static final java.lang.String DELEGATED_ADMIN_ROLE_NAME

### ADMIN_ELIGIBLE_ROLE_NAME

    public static final java.lang.String ADMIN_ELIGIBLE_ROLE_NAME

### EVERYONE_ROLE_NAME

    public static final java.lang.String EVERYONE_ROLE_NAME

### SYSTEM_ADMIN_USERGROUP_NAME

    public static final java.lang.String SYSTEM_ADMIN_USERGROUP_NAME

### DELEGATED_ADMIN_USERGROUP_NAME

    public static final java.lang.String DELEGATED_ADMIN_USERGROUP_NAME

### ADMIN_ELIGIBLE_USERGROUP_NAME

    public static final java.lang.String ADMIN_ELIGIBLE_USERGROUP_NAME

### WLS_ADMINISTRATOR_USERGROUP_NAME

    public static final java.lang.String WLS_ADMINISTRATOR_USERGROUP_NAME

### EVERYONE_USERGROUP_NAME

    public static final java.lang.String EVERYONE_USERGROUP_NAME

  Deprecated. use weblogic.security.WLSPrincipals.getEveryoneGroupname()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved